/* Dummy Routines for Debugging */
#include "tkInt.h"
#include "tkPort.h"

void Tk_DefineCursor (Tk_Window window, Cursor cursor){}

#ifdef NOTDEF
/* Added for tkwm.c */
void Tk_ChangeWindowAttributes (Tk_Window tkwin, unsigned long valueMask,
    XSetWindowAttributes *attsPtr){}
#endif

/* Added for tkatom.c */
Tk_ErrorHandler	Tk_CreateErrorHandler(int errNum, int request, int minorCode,
    Tk_ErrorProc *errorProc, ClientData clientData){}
void Tk_DeleteErrorHandler(Tk_ErrorHandler handler){}

/* Added for tkconfig.c */
void Tk_FreeCursor(Cursor cursor){}
Cursor Tk_GetCursor(Tcl_Interp *interp, Tk_Window tkwin, Tk_Uid string)
    {return 0;}
char *Tk_NameOfCursor(Cursor cursor){return NULL;}

/* Added for simpleev.c */
void Tk_DeleteFileHandler(int fd){}
void Tk_CreateFileHandler(int fd, int mask,
    Tk_FileProc *proc, ClientData clientData){}

/* Added for TkWindow in conversion to Tk4.0 -- should go away */
/* for tkwindow.c */
#ifdef NOTDEF
Tk_ImageType		tkBitmapImageType;
#endif
Tk_PhotoImageFormat	tkImgFmtPPM;
Tk_ImageType		tkPhotoImageType;
#ifdef NOTDEF
void TkDeleteAllImages(TkMainInfo *mainPtr){}
void Tk_CreateImageType(Tk_ImageType *typePtr){}
#endif
void Tk_CreatePhotoImageFormat(Tk_PhotoImageFormat *formatPtr){}
#ifdef NOTDEF
/* for tkbutton.c */
void Tk_FreeImage(Tk_Image image){}
Tk_Image Tk_GetImage(Tcl_Interp *interp, Tk_Window tkwin, char *name,
    Tk_ImageChangedProc *changeProc, ClientData clientData){return NULL;}
void Tk_RedrawImage(Tk_Image image, int imageX, int imageY, unsigned int width,
    unsigned int height, Drawable drawable, int drawableX, int drawableY){}
void Tk_SizeOfImage(Tk_Image image, unsigned int *widthPtr,
    unsigned int *heightPtr){}
#endif
